ITEM=5.10.1
ITEMNAME=SCREENLOCK
WINDOWMANAGER=GNOME
#Do GNOME
#check if this is gnome 
if [ -s /usr/share/xsessions/gnome.desktop -o -s /etc/X11/gdm/Sessions/GNOME ] ; then
   if [ -x /usr/bin/gconftool-2 ] ; then
	gconftool-2 -R /apps/gnome-screensaver > /tmp/$$
        if [ -s /tmp/$$ ] ; then
          for item in lock_enabled idle_activation_enabled mode idle_delay
          do
             grep -q $item /tmp/$$
             if [ $? -eq 0 ] ; then
		set `grep $item /tmp/$$`
                echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:$3"
             else
		echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:NOTCONFIGURED"
             fi
          done
	else
	  echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:NOTCONFIGURED"
        fi
   fi
else
   echo  "$ITEM:$ITEMNAME:$WINDOWMANAGER:NOTINSTALLED"
fi

ITEM=5.10.2
ITEMNAME=SCREENLOCK
WINDOWMANAGER=KDE
SCREENSAVERGROUP=ScreenSaver
KDESKTOPRC=kdesktoprc
if [ -s /usr/share/xsessions/kde.desktop -o -s /etc/X11/gdm/Sessions/KDE ] ; then
 if [ -x /usr/bin/kde-config ] ; then
   KDECONFIGDIRS=`/usr/bin/kde-config -path config | sed 's/:/ /' ` 
   for CONFIGDIR in $KDECONFIGDIRS
   do
      if [ -s $CONFIGDIR/$KDESKTOPRC ] ; then
#check for immutable group
         grep -q "\[$SCREENSAVERGROUP\]\[\$i\]" $CONFIGDIR/$KDESKTOPRC
         if [ $? -eq 0 ] ; then
            echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$SCREENSAVERGROUP:$CONFIGDIR$KDESKTOPRC:IMMUTABLE"
         fi
      fi
   done
 fi
 if [ -x /usr/bin/kreadconfig ] ; then
   for CONFIGDIR in $KDECONFIGDIRS
   do
     if [ -s $CONFIGDIR/$KDESKTOPRC ] ; then
        for item in Enabled Lock LockGrace Timeout Saver
        do
          result=""
          result=`/usr/bin/kreadconfig --file $CONFIGDIR/$KDESKTOPRC --group $SCREENSAVERGROUP -key $item `
          if [ $? -eq 0 ] ; then
              if [  -z $result ] ; then
                 result=NOTCONFIGURED
              fi
              echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:$CONFIGDIR$KDESKTOPRC:$result"
              if [ -s $KDECONFIGFILE ] ; then
                grep  -q "$item\[\$i\]" $CONFIGDIR/$KDESKTOPRC 
                if [ $? -eq 0 ] ; then
                   echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:$CONFIGDIR$KDESKTOPRC:IMMUTABLE"
                else
                   if [ $result != "NOTCONFIGURED" ] ; then
                      echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:$CONFIGDIR$KDESKTOPRC:NOT_IMMUTABLE"
                   fi
                fi
              fi
          else
              echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$item:NOTCONFIGURED"
          fi
        done 
     else
        echo "$ITEM:$ITEMNAME:$WINDOWMANAGER:$CONFIGDIR$KDESKTOPRC:FILENOTFOUND"
     fi
   done
 fi
else
 echo  "$ITEM:$ITEMNAME:$WINDOWMANAGER:NOTINSTALLED"
fi
