ITEM=5.9.0
#DOE_BANNERS
FAILED=0
FIXED=0
if [ -z "$1" ] ; then
   FIXIT="VERIFY"
else
   if [ $1 = "FIXIT" ] ; then
       FIXIT=$1
   fi
fi
ARCH=`uname -i`
if [ -d /etc/banners ] ; then
  cd /etc/banners
  for service in fingerd ftpd in.fingerd in.ftpd in.rlogind in.telnetd rlogind telnetd
  do
      if [ -s /etc/banners/$service ] ; then
         grep -q Federal $service
         if [ $? -gt 0 ] ; then
            echo "$ITEM:DOE_BANNERS_SERVICE:FAILED:$service" 
            FAILED=1
         else
            echo "$ITEM:DOE_BANNERS_SERVICE:PASSED:$service" 
         fi
      else
         echo "$ITEM:DOE_BANNERS_SERVICE:FAILED:$service"
         FAILED=1
      fi
  done
else
  echo "$ITEM:DOE_BANNERS:FAILED:ALL"
  FAILED=1
fi
if [ $FAILED -eq 0 ] ; then
  echo "$ITEM:DOE_BANNERS:PASSED:"
fi
exit $FAILED
