#QMX_INSTALLED
FAILED=0
FIXED=0
if [ -z "$1" ] ; then
   FIXIT="VERIFY"
else
   if [ $1 = "FIXIT" ] ; then
       FIXIT=$1
       if [ -n "$2" ] ; then
          if [ $2 = "USEWGET" ] ; then
#default is to download tuneitup yum conf and then use yum
             USEWGET="USEWGET"
          fi
       fi
   fi
fi
ARCH=`uname -i`
DOWNLOAD_SERVER=linux.fnal.gov
DOWNLOAD_DIR=download/fermipackages
DOWNLOAD_QMX_FILENAME="qmx-2.2-1.$ARCH.rpm"
QMX_RPMNAME="qmx"
DESKTOP_RPMNAME="is-a-desktop"
DOWNLOAD_TUNEITUP_YUMCONF="tuneitup.repo"
QMX_INSTALL_DIR="/opt/qmx"
if [ ! -d /opt/quest/qmxcm ] ; then
   FAILED=1
fi
###### HARD CODE FAIL

#FAILED=1

###   HARD CODE FAIL
#Check for FIXIT then download it and install it
if [ $FAILED -gt 0 ] ; then
   if [ $FIXIT = "FIXIT" ] ; then
      FIXED=1
      echo "FIXIT is set,  will try to FIXIT"
      echo "Downloading QMX Inventory"
      if [ "$USEWGET" = "USEWGET" ] ; then
         echo "USEWGET is set,  will wget the rpm and install it"
         cd /tmp
#remove a old one
         if [ -s $DOWNLOAD_QMX_FILENAME ] ; then
           rm $DOWNLOAD_QMX_FILENAME
         fi
         wget -Nq ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/tuneitup/$DOWNLOAD_QMX_FILENAME
         if [ -s $DOWNLOAD_QMX_FILENAME ] ; then
      	    echo "Installing QMX Inventory rpm"
            rpm -i --quiet --force $DOWNLOAD_QMX_FILENAME
            if [ $? -eq 0 ] ; then
	       rm $DOWNLOAD_QMX_FILENAME
               FIXED=5
            else
	       echo "REMEDIATION FAILED -- rpm -i --quiet $DOWNLOAD_QMX_FILENAME failed"	
               FIXED=2
            fi
         else
            echo "REMEDIATION FAILED -- wget failed ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/tuneitup/$DOWNLOAD_QMX_FILENAME"
            FIXED=3
         fi
      else
         echo "Will download the tuneitup.repo file and use yum to install the rpm"
         cd /etc/yum.repos.d
         if [ -s $DOWNLOAD_TUNEITUP_YUMCONF ] ; then
            rm $DOWNLOAD_TUNEITUP_YUMCONF
	 fi
         SLFVERSION=`/opt/qmxcollection/bin/determine_version.pl`
         wget -q ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/$SLFVERSION/$DOWNLOAD_TUNEITUP_YUMCONF
         if [ -s $DOWNLOAD_TUNEITUP_YUMCONF ] ; then
      	    echo "Installing QMX Inventory rpm"
# 	    yum -y -d 0 --enablerepo=tuneitup install $DESKTOP_RPMNAME
 	    yum -y -d 0 --enablerepo=tuneitup install $QMX_RPMNAME
 	    rpm -q --quiet $QMX_RPMNAME
            if [ $? -eq 0 ] ; then
               FIXED=5
            else
 	       echo "REMEDIATION FAILED -- yum --enablerepo=tuneitup install $QMX_RPMNAME failed"	
               FIXED=2
            fi
         else
	    echo "REMEDIATION FAILED -- wget failed ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/$DOWNLOAD_TUNEITUP_YUMCONF"
  	    FAILED=3
         fi
      fi
      if [ $FIXED -eq 5 ] ; then
#5 means we downloaded and installed the QMX rpm
          cd $QMX_INSTALL_DIR
          # we now need to run the install script
          # the rpm is not doing it because the install script installs rpms
          # a rpm installing rpms works sometimes but is not reliable
          echo "The install will take at least 10 minutes"
          if [ -x ./fermi_install_qmx_client.sh ] ; then
 	     ./fermi_install_qmx_client.sh 
             if [ $? -eq 0 ] ; then
                  FIXED=10 
	          echo "REMEDIATED"	
             fi
          fi
      fi
   fi
else
   echo "PASSED"
fi
#if [ $FIXED -lt 10  ] && [ $FIXED -gt 0 ] ; then
#if [ $FIXED -lt 10  ] ; then
#FIXED between 1 and 9 means the REMEDIATE DID NOT WORK 
#1 we tried to fixit  should not end up 1
#2 rpm install failed
#3 wget failed
#5 rpm install ok
#10 qmx install ok
#  echo "FAILED"
#fi 
exit `expr $FAILED + $FIXED`
