ITEM=5.7.1
ITEMNAME=UPDATES
YUMREPO45=/etc/yum.repos.d
YUMREPO3=/etc/yum.conf
if [ -d $YUMREPO45 ] ; then
  cd $YUMREPO45
  yum repolist disabled | egrep "disabled" | cut -c1-21,63-70 | awk  '{print "5.7.1:UPDATES.YUM.REPO:" $1 ":" $2 ":" }'
  yum repolist enabled | egrep "enabled" | cut -c1-21,63-70,72-80 | awk  '{print "5.7.1:UPDATES.YUM.REPO:" $1 ":" $2 ":" $3 ":"  }'
else
  if [ -s $YUMREPO3 ] ; then
   #Check if this is for 3
        echo "$ITEM:$ITEMNAME.YUM:SLF3"
  fi
fi
ITEM=5.7.2
cd /etc/cron.daily
if [ -s yum.cron ] ; then
  rpm -Vf /etc/cron.daily/yum.cron | grep 5 > /dev/null
     if [ $? -ne 0 ] ; then
        echo "$ITEM:$ITEMNAME.YUM.CRON:ENABLED"
     else
        echo "$ITEM:$ITEMNAME.YUM.CRON:MODIFIED"
     fi
else
     echo "$ITEM:$ITEMNAME.YUM.CRON:MISSING"
fi
ITEM=5.7.3
SUBITEM=REPOVERIFY
for repo in `rpm -qa | grep yum-conf | sed "s/\.noarch//"`
do
   rpm -V $repo | grep 5 > /dev/null
   if [ $? -ne 0 ] ; then
      echo "$ITEM:$ITEMNAME.YUM.$SUBITEM:$repo:VERIFIED"
   else
      echo "$ITEM:$ITEMNAME.YUM.$SUBITEM:$repo:MODIFIED"
   fi
done
