#DOE_BANNERS
FAILED=0
FIXED=0
if [ -z "$1" ] ; then
   FIXIT="VERIFY"
else
   if [ $1 = "FIXIT" ] ; then
       FIXIT=$1
   fi
fi
ARCH=`uname -i`
if [ -d /etc/banners ] ; then
  cd /etc/banners
  for service in fingerd ftpd in.fingerd in.ftpd in.rlogind in.telnetd rlogind telnetd
  do
      if [ -s /etc/banners/$service ] ; then
         grep -q Federal $service
         if [ $? -gt 0 ] ; then
            echo "DOE_BANNERS $service -- FAILED" 
            FAILED=1
         fi
      else
         echo "DOE_BANNERS $service -- FAILED"
         FAILED=1
      fi
  done
else
  echo "\tNo DOE_BANNERS -- FAILED"
  FAILED=1
fi
if [ $FAILED -eq 1 ] ; then
   if [ $FIXIT = "FIXIT" ] ; then
        RPM_NAME=zz_tcp_wrappers_change
        echo "FIXIT is set, trying to REMEDIATE"
        rpm -q --quiet $RPM_NAME	 	
        if [ $? -eq 0 ] ; then
           rpm -V $RPM_NAME 
	   if [ ! $? -eq 0 ] ; then
              # failed checksum verify
              echo "The REMEDIATION needed is beyond the scope of this script" 
              echo "Manual REMEDIATION is required" 
           fi
        else # not installed
           yum -y --quiet install $RPM_NAME 
           # we seem to get exit status 0 no matter what from yum so checking
           rpm -q --quiet $RPM_NAME	 	
	   if [ $? -eq 0 ] ; then
              FIXED=10 
	      echo "REMEDIATED by installing $RPM_NAME"
           else
	      echo "REMEDIATION FAILED"
              FIXED=0
           fi
        fi
   else
	echo "Verify ONLY"       
   fi
fi
exit `expr $FAILED + $FIXED`
