#QMX_INSTALLED
FAILED=0
FIXED=0
#Hard coding this as I borrowed code and do not want to rewrite it
FIXIT="FIXIT"
USEWGET="USEWGET"
ARCH=`uname -i`
DOWNLOAD_SERVER=linux.fnal.gov
DOWNLOAD_DIR=download/fermipackages
DOWNLOAD_QMX_COLLECTION_RPMNAME="zz_qmx_collection_scripts"
DOWNLOAD_QMX_COLLECTION_VERSION=$DOWNLOAD_QMX_COLLECTION_RPMNAME-1.0-2
DOWNLOAD_QMX_COLLECTION_VERSION_ARCH=$DOWNLOAD_QMX_COLLECTION_RPMNAME-1.0-2.noarch
DOWNLOAD_QMX_COLLECTION=$DOWNLOAD_QMX_COLLECTION_RPMNAME-1.0-2.noarch.rpm
QMXCOLLECTIONBIN=/opt/qmxcollection/bin
QMX_COLLECTION_INSTALLED=0
QMX_NOT_INSTALLED=0
NOT_ENOUGHT_DISK=0
#In Meg
INSTLOC1=/opt
INSTLOC1_SIZE=70
INSTLOC2=/var/opt
INSTLOC2_SIZE=90
if [ ! -d /opt/quest/qmxcm ] ; then
   FAILED=1
   QMX_NOT_INSTALLED=1
else
   echo -e "\tQMX Inventory is already installed\n"
   QMX_NOT_INSTALLED=0
fi
rpm=`rpm -q $DOWNLOAD_QMX_COLLECTION_RPMNAME`
if [ $? -eq 0 ] ; then
   if [ $rpm = $DOWNLOAD_QMX_COLLECTION_VERSION -o $rpm = $DOWNLOAD_QMX_COLLECTION_VERSION_ARCH ] ; then
       QMX_COLLECTION_INSTALLED=1
       echo -e "\tQMX Collection Scripts are already installed\n"
   else
       QMX_COLLECTION_INSTALLED=0
       echo -e "\tQMX Collection Scripts are NOT installed\n"
   fi
else
   QMX_COLLECTION_INSTALLED=0
   echo -e "\tQMX Collection Scripts are NOT installed\n"
fi
if [ -n "$1" ] ; then
   if [ $1 = "FORCEIT" ] ; then
	#Force a install
	FAILED=1
   fi
fi
#Check for FIXIT then download it and install it
if [ $FAILED -gt 0 -o $QMX_COLLECTION_INSTALLED -eq 0 ] ; then
   if [ $FIXIT = "FIXIT" ] ; then
     DISKPART1=`df -Pm $INSTLOC1 | tail -1 | awk '{print $1}'`
     DISKPART2=`df -Pm $INSTLOC2 | tail -1 | awk '{print $1}'`
     if [ $DISKPART1 = $DISKPART2 ] ; then
     #if both $INSTLOC1 and INSTLOC2 are on same file system then need to add sizes
        INSTLOC_SIZE=`expr $INSTLOC1_SIZE + $INSTLOC2_SIZE`
        INSTLOC=$DISKPART1
        FREESPACE=`df -Pm $INSTLOC1 | tail -1 | awk '{print $4}'`
        if [ $FREESPACE -le $INSTLOC_SIZE ] ; then
             echo "There needs to be at least ${INSTLOC_SIZE} M bytes available in $INSTLOC"
             echo "there is only $FREESPACE M bytes available in $INSTLOC"
             NOT_ENOUGHT_DISK=1
        fi
     else
        FREESPACE=`df -Pm $INSTLOC1 | tail -1 | awk '{print $4}'`
        if [ $FREESPACE -le $INSTLOC1_SIZE ] ; then
             echo "There needs to be at least ${INSTLOC1_SIZE} M bytes available in $INSTLOC1"
             echo "there is only $FREESPACE M bytes available in $INSTLOC1"
	     NOT_ENOUGHT_DISK=1
        fi
        FREESPACE=`df -Pm $INSTLOC2 | tail -1 | awk '{print $4}'`
        if [ $FREESPACE -le $INSTLOC2_SIZE ] ; then
             echo "There needs to be at least ${INSTLOC2_SIZE} M bytes available in $INSTLOC2"
             echo "there is only $FREESPACE M bytes available in $INSTLOC2"
	     NOT_ENOUGHT_DISK=1
        fi
     fi
     if [ $NOT_ENOUGHT_DISK -eq 1 ] ; then
         exit 1
     fi
     echo -e "\t\tDownloading current version of QMX Collection Scripts\n"
     if [ "$USEWGET" = "USEWGET" ] ; then
         cd /tmp
#remove a old one
         if [ -s $DOWNLOAD_QMX_COLLECTION ] ; then
           rm $DOWNLOAD_QMX_COLLECTION
         fi
	 if [ -x /usr/bin/wget ] ; then
             wget -qN ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/tuneitup/$DOWNLOAD_QMX_COLLECTION
	 else
	     echo "Please install wget and rerun this script"
	     echo "yum -y install wget"
	     FIXED=0
         fi
         if [ -s $DOWNLOAD_QMX_COLLECTION ] ; then
      	    echo -e "\t\tInstalling QMX Collection Scripts\n"
            rpm -U --force --quiet $DOWNLOAD_QMX_COLLECTION
            if [ $? -eq 0 ] ; then
	       rm $DOWNLOAD_QMX_COLLECTION
               FIXED=5
               if [ -d $QMXCOLLECTIONBIN ] ; then
#run qmx collection scripts 
                   echo -e "\t\tRunning QMX TuneITUp Site Visit Collection Script\n"
                   $QMXCOLLECTIONBIN/qmx_collect.sh > /dev/null
                   $QMXCOLLECTIONBIN/tuneitup_site_visit.sh
               fi
            else
	       echo -e "FAILED -- rpm -U --quiet $DOWNLOAD_QMX_COLLECTION failed\n\n"	
               FIXED=0
            fi
         else
            echo -e "FAILED -- wget failed ftp://$DOWNLOAD_SERVER/$DOWNLOAD_DIR/tuneitup/$DOWNLOAD_QMX_COLLECTION\n\n"
            FIXED=0
         fi
     fi
     if [ $FIXED -eq 5 -a $QMX_NOT_INSTALLED -eq 1 ] ; then
	if [ -d /etc/baseline.d/verify ] ; then
           VERSION=`/opt/qmxcollection/bin/determine_version.pl`
           if [ $VERSION = "slf3" ] ; then
              DOWNLOADMETHOD="USEWGET"
           else
              DOWNLOADMETHOD=""
           fi
           DOWNLOADMETHOD="USEWGET"
           echo -e "\tQMX Inventory is NOT installed\n"
           echo -e "\t\tNow installing QMX Inventory\n"
           cd /etc/baseline.d/verify
           if [ -x QMX_INSTALLED.sh ] ; then
               ./QMX_INSTALLED.sh FIXIT $DOWNLOADMETHOD
           fi 
           echo -e "\t\tQMX Inventory is now Installed\n"
           FIXED=$?
        else
	   echo -e "\n$DOWNLOAD_QMX_COLLECTION was not installed correctly\n"
           FIXED=7
       fi
     fi
   fi
fi
exit `expr $FAILED + $FIXED`
